Skip to main content
GET
/
api
/
projects
Get Projects
curl --request GET \
  --url https://api.example.com/api/projects
[
  {
    "complexity": "beginner",
    "created_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "skills": [
      "<string>"
    ],
    "status": "blueprint",
    "target_roles": [
      "<string>"
    ],
    "tech_stack": [
      "<string>"
    ],
    "title": "<string>",
    "confidence": 123,
    "demo_url": "<string>",
    "description": "<string>",
    "estimated_hours": 2,
    "evidence": [],
    "extraction_source_id": "<string>",
    "github_url": "<string>",
    "model_name": "<string>",
    "origin": "manual",
    "problem_statement": "<string>",
    "source_author": "<string>",
    "source_author_avatar": "<string>",
    "source_caption": "<string>",
    "source_platform": "<string>",
    "source_text": "<string>",
    "source_url": "<string>"
  }
]

Query Parameters

status
string | null
origin
string | null

Response

Successful Response

complexity
enum<string>
required
Available options:
beginner,
intermediate,
advanced,
expert
created_at
string<date-time>
required
id
string
required
skills
string[]
required
status
enum<string>
required
Available options:
blueprint,
planned,
in_progress,
done,
archived
target_roles
string[]
required
tech_stack
string[]
required
title
string
required
confidence
number | null
demo_url
string | null
description
string | null
estimated_hours
integer | null
Required range: x >= 1
evidence
EvidenceItem · object[]
extraction_source_id
string | null
github_url
string | null
model_name
string | null
origin
enum<string>
default:manual
Available options:
extracted,
generated,
manual
problem_statement
string | null
source_author
string | null
source_author_avatar
string | null
source_caption
string | null
source_platform
string | null
source_text
string | null
source_url
string | null